package com.agilex.healthcare.schedulingmanager.testutility;

import java.util.Map;

import org.springframework.beans.factory.BeanFactory;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import com.agilex.healthcare.mobilehealthplatform.domain.Patient;
import com.agilex.healthcare.schedulingmanager.clientapi.AuthenticationInfo;
import com.agilex.healthcare.utility.NullChecker;

public class IntegrationTestConfiguration {
    private static String SchedulingManagerBaseUri = "http://localhost:8080/SchedulingManagerService/rest";
    private static String MobileHealthPlatformServerURI = "http://localhost:8080/PatientViewerServices/rest";
    private static final String MHPAuthorizeURI  = "http://localhost:8080/AuthorizationServices/provider/authorize";
    private static final String MHPTokenURI = "http://localhost:8080/AuthorizationServices/oauth/token";

	public static String getMobileHealthServerBaseUri() {
		return MobileHealthPlatformServerURI;
	}

    public static String getSchedulingManagerBaseUri(){
        return SchedulingManagerBaseUri;
    }

	public static String getMHPAuthorizeURI() {
		return MHPAuthorizeURI;
	}

	public static String getMHPTokenURI() {
		return MHPTokenURI;
	}

    public static AuthenticationInfo getLVProviderAuthenticationInformation() {
        AuthenticationInfo authenticationInfo = null;
        if (NullChecker.isNotNullish(getAuthType())) {
            authenticationInfo = new AuthenticationInfo();
            authenticationInfo.setUsername("clerk3434");
            authenticationInfo.setPassword("clerk4343$");
            authenticationInfo.setAuthtype(getAuthType());
            authenticationInfo.setFacilityName("TEST VAMC 3");
            authenticationInfo.setFacilityCode("777");
        }
        return authenticationInfo;
    }

	private static String getAuthType() {
		String authtype = "oauth";
		return authtype;
	}
}
